package com.zaojiao.app.feat.design

data class ViewState<A1>(
    val state: A1,
)

data class ViewState2<A1, A2>(
    val state1: A1,
    val state2: A2,
)

data class ViewState3<A1, A2, A3>(
    val state1: A1,
    val state2: A2,
    val state3: A3,
)

data class ViewState4<A1, A2, A3, A4>(
    val state1: A1,
    val state2: A2,
    val state3: A3,
    val state4: A4,
)

data class ViewState5<A1, A2, A3, A4, A5>(
    val state1: A1,
    val state2: A2,
    val state3: A3,
    val state4: A4,
    val state5: A5,
)

data class ViewState6<A1, A2, A3, A4, A5, A6>(
    val state1: A1,
    val state2: A2,
    val state3: A3,
    val state4: A4,
    val state5: A5,
    val state6: A6,
)

sealed class ViewEvent {
    data class SnackbarEvent(val message: String) : ViewEvent()
    data class ToastEvent(val message: String) : ViewEvent()
}
